(***********************************************************************)
(*                                                                     *)
(*                           Objective Caml                            *)
(*                                                                     *)
(*            Xavier Leroy, projet Cristal, INRIA Rocquencourt         *)
(*                                                                     *)
(*  Copyright 1997 Institut National de Recherche en Informatique et   *)
(*  Automatique.  Distributed only by permission.                      *)
(*                                                                     *)
(***********************************************************************)

(* $Id: syntaxerr.mli,v 1.3 2000/03/16 07:58:16 judaigi Exp $ *)

(* Auxiliary type for reporting syntax errors *)

type err_kinds = IllegalAsPat | IllegalLabel | IllegalField | IllegalPattern
	       | IllegalRecBind | UnknownError | IllegalExpSeq

type errmsg_kinds = EngGentle | HanGentle | HanTough

type error =
    Unclosed of Location.t * string * Location.t * string
  | Duptyid of Location.t * Location.t * string
  | Dupdatacon of Location.t * Location.t * string
  | Duppatvar of Location.t * Location.t * string
  | Orpaterr of Location.t
  | Other of Location.t * err_kinds

exception Error of error
exception Escape_error

val errmsg_type: errmsg_kinds ref
val report_error: error -> unit
